Subject: Re: experimental texmf packages
From: Jan Nieuwenhuizen <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: "Gerrit P. Haase" <[email-masked]>
Date: 06 Dec 2001 10:04:22 +0100

Charles Wilson <[email-masked]> writes:

> @%!@#$ AT&T@home smtp server.... it lost my reply to this message, so
> this is try #2...

Thanks for doing your try #2

> I'm not sure I understand.  It wasn't that you needed to provide a
> reverse patch,
[..]
> It's not supposed to be a backward patch; see above.

Ok, I mixed stuff in packaging page with older mail discussions and
the actual state of the archive.  Sorry for the confusion.

> Well, setup can't yet do what you're implying.  But eventually...

:-)  Hmm, I do all what I'm 'implying' already.  But no
patched sources, or reversed patches, so I'm happy.

> > How about an example dummy package like this?
> 
> Okay.  go here:
>   http://www.neuro.gatech.edu/users/cwilson/cygutils/packaging/
> There are five different versions, each of which demonstrates a
> different proposal.  After cgf's "intervention" I pretty much settled on
> something like #5 for "my" packages, and that is what the "official"
> mktemp package at sourceware uses.  Also cygutils and others.

Ok thanks for the pointer.  Is there a script to do the packaging?

> pop quiz: what are the current configure flags used to build gcc? 
> Anyone?  Anyone?  Bueller? (no, Chris, you're not allowed to answer..)

   That's easy:

   09:33:15 fred@appel:~/usr/src/cygwin-cross-1.3.6.0$ cat stage/gcc.configure
   mkdir -p $cygpack-build
   cd $cygpack-build

   #urg, --srcdir is broken for 1.1.4
   ##rm -f include && ln -s $cygpack/include include

   sourcedir=$PREFIX/src/$cygpack

   CPPFLAGS="-I $PREFIX/include/w32api"

   CFLAGS="-O2 -g -DATTRIBUTE_NORETURN= -DATTRIBUTE_UNUSED= $CPPFLAGS" \
           $sourcedir/configure --host=$PLATFORM
           --target=$TARGET_PLATFORM \
           --prefix=$prefix -v \
           --enable-threads \
           --with-headers=$PREFIX/$TARGET_PLATFORM/include \
           --with-libs=$PREFIX/$TARGET_PLATFORM/lib

   # URG, brokenstuff
   rm -rf $TARGET_PLATFORM/libiberty
   cp -prv libiberty $TARGET_PLATFORM/libiberty

What do I win?

> We needn't write another tool for this task, like "cygpack" or
> something, with yet another grammar to parse and learn, to drive
> autobuilds.

Ok.  Although my scripts have run a bit out of hand, my autobuilds run
rather well now.  They will only get simpler when packages are
packaged more cleanly.

> Anyway, UNTIL we're ready to make a complete jump over to rpm or dpkg or
> whatever, there's no point in developing additional tools.  Custom build
> scripts, written in the package maintainer's language of choice -- sh,
> perl, make-rules, etc -- provide the *maintainer* with the flexibility
> Which is good -- at least until we adopt rpm or dpkg or something.

Ok.  So you're still aiming for a lot less ambitious target.  This
just means that I'll have to hack up some scripts to do cross
building, as none of them will support it.  Anyway, documentation in
the form of a script is a very good start, I guess.

> And it solved the perl add-on module problem for me.  But once I
> relinquished maintaining perl, I had no further need of rpm.
> It's the whole "scratch your own itch" thing.

Yes.  Or db.

> > I didn't have the webspace to do that.  
> 
> That's the thing -- Chris has been offering webspace if folks needed
> it.  BUT, you don't even NEED webspace to port a package.  Just port it,
> promise to maintain it, and upload it to sourceware.

Ok, I didn't know that.  Feb 1999 I sent this mail:

    http://www.cygwin.com/ml/cygwin/1999-02/msg00822.html

and got no reactions; no questions if I would maintain it; if things
could be uploaded or whatever.  So, I just continued scratching my own
itch.

> I figure anything with "b20" in the name is so old and unmaintained
> it probably doesn't work on newer cygwins.  So I just skip over
> stuff like that.

Sure, but it was skipped over when I announced it, ie b20 was current,
too.

> > all.  That turned me off a bit.
> 
> It was probably a timing thing
> It happens.

I'll try to enter a discussion when it's hot, next time.

Greetings,
Jan.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/